Bug 1123545 (CVE-2019-7146)

Summary: VUL-1: CVE-2019-7146: elfutils: A buffer over-read in the ebl_object_note function in eblobjnote.c creates DOS
Product: [openSUSE] openSUSE Distribution Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: SecurityAssignee: Michael Matz <matz>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low    
Version: Leap 42.3   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/223866/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2019-01-29 16:11:17 UTC
CVE-2019-7146

In elfutils 0.175, there is a buffer over-read in the ebl_object_note function
in eblobjnote.c in libebl. Remote attackers could leverage this vulnerability to
cause a denial-of-service via a crafted elf file, as demonstrated by eu-readelf.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-7146
https://sourceware.org/bugzilla/show_bug.cgi?id=24075
https://sourceware.org/bugzilla/show_bug.cgi?id=24081
Comment 1 Alexandros Toptsoglou 2019-01-29 16:11:59 UTC
This issue affects only version 0.175. Only Factory is affected
Comment 2 Tomáš Chvátal 2019-07-11 11:38:49 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-12 05:46:19 UTC
factory has 0.176 now, assuming fixed